## @brief  start client only once
## @author zhoufei
## @email  zhoufei05@baidu.com
## @date   2016-03-07-Mon
cd `dirname $0`
pwd=`pwd -P`
cd ${pwd}
has_started=0
for pid in `ps aux | grep -v "grep" | grep "client.jar" | grep "${pwd}" | awk '{print $2}'`; do
  cwd=`\ls -l /proc/${pid}/cwd | awk '{print $11}'`
  if [ "x${cwd}" == "x${pwd}" ]; then
    has_started=1
  fi
done

if [ "x${has_started}" == "x1" ]; then
  echo "client already started: ${pid} ${cwd}"
else
  nohup java -jar ${pwd}/client.jar 2>&1>/dev/null &
fi
